Bug 1020955 - [guided rule editor] date options defaults not in source
[guided rule editor] date options defaults not in source
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ER5
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 11:18 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-18 11:18:46 EDT
Description of problem:
If you and a date-effective/-expires to a guided rule, it is pre-set with a default date. This date doesn't show up in the source until you click the dates input field or switch it to another date.

If you try to validate such rule, you get no validation results and after you save, you get 
ERROR [org.guvnor.common.services.builder.BuildChangeListener] Invalid date input format: [] it should follow: [dd-MMM-yyyy]: org.guvnor.common.services.shared.exceptions.GenericPortableException: Invalid date input format: [] it should follow: [dd-MMM-yyyy]
	...
in the server log. Rule is still saved successfully according to notification.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4


Steps to Reproduce:
1. Add a date-effective attribute to a guided rule.
2. Without changing the default date, switch to source.
3. Try to validate the rule.
4. Save the rule and look into the server log.
Comment 2 Zuzana Krejčová 2013-12-09 05:10:50 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.